Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network82.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
82.167.0.0
Broadcast address
82.167.255.255
First usable
82.167.0.1
Last usable
82.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 52A70000 · Integer 1386676224 to 1386741759
Reverse DNS zone
167.82.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010010.10100111..00000000.0000000082.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01010010.10100111..00000000.0000000082.167.0.0
Broadcast01010010.10100111..11111111.1111111182.167.255.255
Split into smaller subnets/27

82.167.0.0/16 makes 2,048 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
182.167.0.0/2782.167.0.1 to 82.167.0.3082.167.0.3130
282.167.0.32/2782.167.0.33 to 82.167.0.6282.167.0.6330
382.167.0.64/2782.167.0.65 to 82.167.0.9482.167.0.9530
482.167.0.96/2782.167.0.97 to 82.167.0.12682.167.0.12730
582.167.0.128/2782.167.0.129 to 82.167.0.15882.167.0.15930
682.167.0.160/2782.167.0.161 to 82.167.0.19082.167.0.19130
782.167.0.192/2782.167.0.193 to 82.167.0.22282.167.0.22330
882.167.0.224/2782.167.0.225 to 82.167.0.25482.167.0.25530
982.167.1.0/2782.167.1.1 to 82.167.1.3082.167.1.3130
1082.167.1.32/2782.167.1.33 to 82.167.1.6282.167.1.6330
1182.167.1.64/2782.167.1.65 to 82.167.1.9482.167.1.9530
1282.167.1.96/2782.167.1.97 to 82.167.1.12682.167.1.12730
1382.167.1.128/2782.167.1.129 to 82.167.1.15882.167.1.15930
1482.167.1.160/2782.167.1.161 to 82.167.1.19082.167.1.19130
1582.167.1.192/2782.167.1.193 to 82.167.1.22282.167.1.22330
1682.167.1.224/2782.167.1.225 to 82.167.1.25482.167.1.25530
1782.167.2.0/2782.167.2.1 to 82.167.2.3082.167.2.3130
1882.167.2.32/2782.167.2.33 to 82.167.2.6282.167.2.6330
1982.167.2.64/2782.167.2.65 to 82.167.2.9482.167.2.9530
2082.167.2.96/2782.167.2.97 to 82.167.2.12682.167.2.12730
2182.167.2.128/2782.167.2.129 to 82.167.2.15882.167.2.15930
2282.167.2.160/2782.167.2.161 to 82.167.2.19082.167.2.19130
2382.167.2.192/2782.167.2.193 to 82.167.2.22282.167.2.22330
2482.167.2.224/2782.167.2.225 to 82.167.2.25482.167.2.25530
2582.167.3.0/2782.167.3.1 to 82.167.3.3082.167.3.3130
2682.167.3.32/2782.167.3.33 to 82.167.3.6282.167.3.6330
2782.167.3.64/2782.167.3.65 to 82.167.3.9482.167.3.9530
2882.167.3.96/2782.167.3.97 to 82.167.3.12682.167.3.12730
2982.167.3.128/2782.167.3.129 to 82.167.3.15882.167.3.15930
3082.167.3.160/2782.167.3.161 to 82.167.3.19082.167.3.19130
3182.167.3.192/2782.167.3.193 to 82.167.3.22282.167.3.22330
3282.167.3.224/2782.167.3.225 to 82.167.3.25482.167.3.25530
3382.167.4.0/2782.167.4.1 to 82.167.4.3082.167.4.3130
3482.167.4.32/2782.167.4.33 to 82.167.4.6282.167.4.6330
3582.167.4.64/2782.167.4.65 to 82.167.4.9482.167.4.9530
3682.167.4.96/2782.167.4.97 to 82.167.4.12682.167.4.12730
3782.167.4.128/2782.167.4.129 to 82.167.4.15882.167.4.15930
3882.167.4.160/2782.167.4.161 to 82.167.4.19082.167.4.19130
3982.167.4.192/2782.167.4.193 to 82.167.4.22282.167.4.22330
4082.167.4.224/2782.167.4.225 to 82.167.4.25482.167.4.25530
4182.167.5.0/2782.167.5.1 to 82.167.5.3082.167.5.3130
4282.167.5.32/2782.167.5.33 to 82.167.5.6282.167.5.6330
4382.167.5.64/2782.167.5.65 to 82.167.5.9482.167.5.9530
4482.167.5.96/2782.167.5.97 to 82.167.5.12682.167.5.12730
4582.167.5.128/2782.167.5.129 to 82.167.5.15882.167.5.15930
4682.167.5.160/2782.167.5.161 to 82.167.5.19082.167.5.19130
4782.167.5.192/2782.167.5.193 to 82.167.5.22282.167.5.22330
4882.167.5.224/2782.167.5.225 to 82.167.5.25482.167.5.25530
4982.167.6.0/2782.167.6.1 to 82.167.6.3082.167.6.3130
5082.167.6.32/2782.167.6.33 to 82.167.6.6282.167.6.6330
5182.167.6.64/2782.167.6.65 to 82.167.6.9482.167.6.9530
5282.167.6.96/2782.167.6.97 to 82.167.6.12682.167.6.12730
5382.167.6.128/2782.167.6.129 to 82.167.6.15882.167.6.15930
5482.167.6.160/2782.167.6.161 to 82.167.6.19082.167.6.19130
5582.167.6.192/2782.167.6.193 to 82.167.6.22282.167.6.22330
5682.167.6.224/2782.167.6.225 to 82.167.6.25482.167.6.25530
5782.167.7.0/2782.167.7.1 to 82.167.7.3082.167.7.3130
5882.167.7.32/2782.167.7.33 to 82.167.7.6282.167.7.6330
5982.167.7.64/2782.167.7.65 to 82.167.7.9482.167.7.9530
6082.167.7.96/2782.167.7.97 to 82.167.7.12682.167.7.12730
6182.167.7.128/2782.167.7.129 to 82.167.7.15882.167.7.15930
6282.167.7.160/2782.167.7.161 to 82.167.7.19082.167.7.19130
6382.167.7.192/2782.167.7.193 to 82.167.7.22282.167.7.22330
6482.167.7.224/2782.167.7.225 to 82.167.7.25482.167.7.25530
6582.167.8.0/2782.167.8.1 to 82.167.8.3082.167.8.3130
6682.167.8.32/2782.167.8.33 to 82.167.8.6282.167.8.6330
6782.167.8.64/2782.167.8.65 to 82.167.8.9482.167.8.9530
6882.167.8.96/2782.167.8.97 to 82.167.8.12682.167.8.12730
6982.167.8.128/2782.167.8.129 to 82.167.8.15882.167.8.15930
7082.167.8.160/2782.167.8.161 to 82.167.8.19082.167.8.19130
7182.167.8.192/2782.167.8.193 to 82.167.8.22282.167.8.22330
7282.167.8.224/2782.167.8.225 to 82.167.8.25482.167.8.25530
7382.167.9.0/2782.167.9.1 to 82.167.9.3082.167.9.3130
7482.167.9.32/2782.167.9.33 to 82.167.9.6282.167.9.6330
7582.167.9.64/2782.167.9.65 to 82.167.9.9482.167.9.9530
7682.167.9.96/2782.167.9.97 to 82.167.9.12682.167.9.12730
7782.167.9.128/2782.167.9.129 to 82.167.9.15882.167.9.15930
7882.167.9.160/2782.167.9.161 to 82.167.9.19082.167.9.19130
7982.167.9.192/2782.167.9.193 to 82.167.9.22282.167.9.22330
8082.167.9.224/2782.167.9.225 to 82.167.9.25482.167.9.25530
8182.167.10.0/2782.167.10.1 to 82.167.10.3082.167.10.3130
8282.167.10.32/2782.167.10.33 to 82.167.10.6282.167.10.6330
8382.167.10.64/2782.167.10.65 to 82.167.10.9482.167.10.9530
8482.167.10.96/2782.167.10.97 to 82.167.10.12682.167.10.12730
8582.167.10.128/2782.167.10.129 to 82.167.10.15882.167.10.15930
8682.167.10.160/2782.167.10.161 to 82.167.10.19082.167.10.19130
8782.167.10.192/2782.167.10.193 to 82.167.10.22282.167.10.22330
8882.167.10.224/2782.167.10.225 to 82.167.10.25482.167.10.25530
8982.167.11.0/2782.167.11.1 to 82.167.11.3082.167.11.3130
9082.167.11.32/2782.167.11.33 to 82.167.11.6282.167.11.6330
9182.167.11.64/2782.167.11.65 to 82.167.11.9482.167.11.9530
9282.167.11.96/2782.167.11.97 to 82.167.11.12682.167.11.12730
9382.167.11.128/2782.167.11.129 to 82.167.11.15882.167.11.15930
9482.167.11.160/2782.167.11.161 to 82.167.11.19082.167.11.19130
9582.167.11.192/2782.167.11.193 to 82.167.11.22282.167.11.22330
9682.167.11.224/2782.167.11.225 to 82.167.11.25482.167.11.25530
9782.167.12.0/2782.167.12.1 to 82.167.12.3082.167.12.3130
9882.167.12.32/2782.167.12.33 to 82.167.12.6282.167.12.6330
9982.167.12.64/2782.167.12.65 to 82.167.12.9482.167.12.9530
10082.167.12.96/2782.167.12.97 to 82.167.12.12682.167.12.12730
10182.167.12.128/2782.167.12.129 to 82.167.12.15882.167.12.15930
10282.167.12.160/2782.167.12.161 to 82.167.12.19082.167.12.19130
10382.167.12.192/2782.167.12.193 to 82.167.12.22282.167.12.22330
10482.167.12.224/2782.167.12.225 to 82.167.12.25482.167.12.25530
10582.167.13.0/2782.167.13.1 to 82.167.13.3082.167.13.3130
10682.167.13.32/2782.167.13.33 to 82.167.13.6282.167.13.6330
10782.167.13.64/2782.167.13.65 to 82.167.13.9482.167.13.9530
10882.167.13.96/2782.167.13.97 to 82.167.13.12682.167.13.12730
10982.167.13.128/2782.167.13.129 to 82.167.13.15882.167.13.15930
11082.167.13.160/2782.167.13.161 to 82.167.13.19082.167.13.19130
11182.167.13.192/2782.167.13.193 to 82.167.13.22282.167.13.22330
11282.167.13.224/2782.167.13.225 to 82.167.13.25482.167.13.25530
11382.167.14.0/2782.167.14.1 to 82.167.14.3082.167.14.3130
11482.167.14.32/2782.167.14.33 to 82.167.14.6282.167.14.6330
11582.167.14.64/2782.167.14.65 to 82.167.14.9482.167.14.9530
11682.167.14.96/2782.167.14.97 to 82.167.14.12682.167.14.12730
11782.167.14.128/2782.167.14.129 to 82.167.14.15882.167.14.15930
11882.167.14.160/2782.167.14.161 to 82.167.14.19082.167.14.19130
11982.167.14.192/2782.167.14.193 to 82.167.14.22282.167.14.22330
12082.167.14.224/2782.167.14.225 to 82.167.14.25482.167.14.25530
12182.167.15.0/2782.167.15.1 to 82.167.15.3082.167.15.3130
12282.167.15.32/2782.167.15.33 to 82.167.15.6282.167.15.6330
12382.167.15.64/2782.167.15.65 to 82.167.15.9482.167.15.9530
12482.167.15.96/2782.167.15.97 to 82.167.15.12682.167.15.12730
12582.167.15.128/2782.167.15.129 to 82.167.15.15882.167.15.15930
12682.167.15.160/2782.167.15.161 to 82.167.15.19082.167.15.19130
12782.167.15.192/2782.167.15.193 to 82.167.15.22282.167.15.22330
12882.167.15.224/2782.167.15.225 to 82.167.15.25482.167.15.25530
12982.167.16.0/2782.167.16.1 to 82.167.16.3082.167.16.3130
13082.167.16.32/2782.167.16.33 to 82.167.16.6282.167.16.6330
13182.167.16.64/2782.167.16.65 to 82.167.16.9482.167.16.9530
13282.167.16.96/2782.167.16.97 to 82.167.16.12682.167.16.12730
13382.167.16.128/2782.167.16.129 to 82.167.16.15882.167.16.15930
13482.167.16.160/2782.167.16.161 to 82.167.16.19082.167.16.19130
13582.167.16.192/2782.167.16.193 to 82.167.16.22282.167.16.22330
13682.167.16.224/2782.167.16.225 to 82.167.16.25482.167.16.25530
13782.167.17.0/2782.167.17.1 to 82.167.17.3082.167.17.3130
13882.167.17.32/2782.167.17.33 to 82.167.17.6282.167.17.6330
13982.167.17.64/2782.167.17.65 to 82.167.17.9482.167.17.9530
14082.167.17.96/2782.167.17.97 to 82.167.17.12682.167.17.12730
14182.167.17.128/2782.167.17.129 to 82.167.17.15882.167.17.15930
14282.167.17.160/2782.167.17.161 to 82.167.17.19082.167.17.19130
14382.167.17.192/2782.167.17.193 to 82.167.17.22282.167.17.22330
14482.167.17.224/2782.167.17.225 to 82.167.17.25482.167.17.25530
14582.167.18.0/2782.167.18.1 to 82.167.18.3082.167.18.3130
14682.167.18.32/2782.167.18.33 to 82.167.18.6282.167.18.6330
14782.167.18.64/2782.167.18.65 to 82.167.18.9482.167.18.9530
14882.167.18.96/2782.167.18.97 to 82.167.18.12682.167.18.12730
14982.167.18.128/2782.167.18.129 to 82.167.18.15882.167.18.15930
15082.167.18.160/2782.167.18.161 to 82.167.18.19082.167.18.19130
15182.167.18.192/2782.167.18.193 to 82.167.18.22282.167.18.22330
15282.167.18.224/2782.167.18.225 to 82.167.18.25482.167.18.25530
15382.167.19.0/2782.167.19.1 to 82.167.19.3082.167.19.3130
15482.167.19.32/2782.167.19.33 to 82.167.19.6282.167.19.6330
15582.167.19.64/2782.167.19.65 to 82.167.19.9482.167.19.9530
15682.167.19.96/2782.167.19.97 to 82.167.19.12682.167.19.12730
15782.167.19.128/2782.167.19.129 to 82.167.19.15882.167.19.15930
15882.167.19.160/2782.167.19.161 to 82.167.19.19082.167.19.19130
15982.167.19.192/2782.167.19.193 to 82.167.19.22282.167.19.22330
16082.167.19.224/2782.167.19.225 to 82.167.19.25482.167.19.25530
16182.167.20.0/2782.167.20.1 to 82.167.20.3082.167.20.3130
16282.167.20.32/2782.167.20.33 to 82.167.20.6282.167.20.6330
16382.167.20.64/2782.167.20.65 to 82.167.20.9482.167.20.9530
16482.167.20.96/2782.167.20.97 to 82.167.20.12682.167.20.12730
16582.167.20.128/2782.167.20.129 to 82.167.20.15882.167.20.15930
16682.167.20.160/2782.167.20.161 to 82.167.20.19082.167.20.19130
16782.167.20.192/2782.167.20.193 to 82.167.20.22282.167.20.22330
16882.167.20.224/2782.167.20.225 to 82.167.20.25482.167.20.25530
16982.167.21.0/2782.167.21.1 to 82.167.21.3082.167.21.3130
17082.167.21.32/2782.167.21.33 to 82.167.21.6282.167.21.6330
17182.167.21.64/2782.167.21.65 to 82.167.21.9482.167.21.9530
17282.167.21.96/2782.167.21.97 to 82.167.21.12682.167.21.12730
17382.167.21.128/2782.167.21.129 to 82.167.21.15882.167.21.15930
17482.167.21.160/2782.167.21.161 to 82.167.21.19082.167.21.19130
17582.167.21.192/2782.167.21.193 to 82.167.21.22282.167.21.22330
17682.167.21.224/2782.167.21.225 to 82.167.21.25482.167.21.25530
17782.167.22.0/2782.167.22.1 to 82.167.22.3082.167.22.3130
17882.167.22.32/2782.167.22.33 to 82.167.22.6282.167.22.6330
17982.167.22.64/2782.167.22.65 to 82.167.22.9482.167.22.9530
18082.167.22.96/2782.167.22.97 to 82.167.22.12682.167.22.12730
18182.167.22.128/2782.167.22.129 to 82.167.22.15882.167.22.15930
18282.167.22.160/2782.167.22.161 to 82.167.22.19082.167.22.19130
18382.167.22.192/2782.167.22.193 to 82.167.22.22282.167.22.22330
18482.167.22.224/2782.167.22.225 to 82.167.22.25482.167.22.25530
18582.167.23.0/2782.167.23.1 to 82.167.23.3082.167.23.3130
18682.167.23.32/2782.167.23.33 to 82.167.23.6282.167.23.6330
18782.167.23.64/2782.167.23.65 to 82.167.23.9482.167.23.9530
18882.167.23.96/2782.167.23.97 to 82.167.23.12682.167.23.12730
18982.167.23.128/2782.167.23.129 to 82.167.23.15882.167.23.15930
19082.167.23.160/2782.167.23.161 to 82.167.23.19082.167.23.19130
19182.167.23.192/2782.167.23.193 to 82.167.23.22282.167.23.22330
19282.167.23.224/2782.167.23.225 to 82.167.23.25482.167.23.25530
19382.167.24.0/2782.167.24.1 to 82.167.24.3082.167.24.3130
19482.167.24.32/2782.167.24.33 to 82.167.24.6282.167.24.6330
19582.167.24.64/2782.167.24.65 to 82.167.24.9482.167.24.9530
19682.167.24.96/2782.167.24.97 to 82.167.24.12682.167.24.12730
19782.167.24.128/2782.167.24.129 to 82.167.24.15882.167.24.15930
19882.167.24.160/2782.167.24.161 to 82.167.24.19082.167.24.19130
19982.167.24.192/2782.167.24.193 to 82.167.24.22282.167.24.22330
20082.167.24.224/2782.167.24.225 to 82.167.24.25482.167.24.25530
20182.167.25.0/2782.167.25.1 to 82.167.25.3082.167.25.3130
20282.167.25.32/2782.167.25.33 to 82.167.25.6282.167.25.6330
20382.167.25.64/2782.167.25.65 to 82.167.25.9482.167.25.9530
20482.167.25.96/2782.167.25.97 to 82.167.25.12682.167.25.12730
20582.167.25.128/2782.167.25.129 to 82.167.25.15882.167.25.15930
20682.167.25.160/2782.167.25.161 to 82.167.25.19082.167.25.19130
20782.167.25.192/2782.167.25.193 to 82.167.25.22282.167.25.22330
20882.167.25.224/2782.167.25.225 to 82.167.25.25482.167.25.25530
20982.167.26.0/2782.167.26.1 to 82.167.26.3082.167.26.3130
21082.167.26.32/2782.167.26.33 to 82.167.26.6282.167.26.6330
21182.167.26.64/2782.167.26.65 to 82.167.26.9482.167.26.9530
21282.167.26.96/2782.167.26.97 to 82.167.26.12682.167.26.12730
21382.167.26.128/2782.167.26.129 to 82.167.26.15882.167.26.15930
21482.167.26.160/2782.167.26.161 to 82.167.26.19082.167.26.19130
21582.167.26.192/2782.167.26.193 to 82.167.26.22282.167.26.22330
21682.167.26.224/2782.167.26.225 to 82.167.26.25482.167.26.25530
21782.167.27.0/2782.167.27.1 to 82.167.27.3082.167.27.3130
21882.167.27.32/2782.167.27.33 to 82.167.27.6282.167.27.6330
21982.167.27.64/2782.167.27.65 to 82.167.27.9482.167.27.9530
22082.167.27.96/2782.167.27.97 to 82.167.27.12682.167.27.12730
22182.167.27.128/2782.167.27.129 to 82.167.27.15882.167.27.15930
22282.167.27.160/2782.167.27.161 to 82.167.27.19082.167.27.19130
22382.167.27.192/2782.167.27.193 to 82.167.27.22282.167.27.22330
22482.167.27.224/2782.167.27.225 to 82.167.27.25482.167.27.25530
22582.167.28.0/2782.167.28.1 to 82.167.28.3082.167.28.3130
22682.167.28.32/2782.167.28.33 to 82.167.28.6282.167.28.6330
22782.167.28.64/2782.167.28.65 to 82.167.28.9482.167.28.9530
22882.167.28.96/2782.167.28.97 to 82.167.28.12682.167.28.12730
22982.167.28.128/2782.167.28.129 to 82.167.28.15882.167.28.15930
23082.167.28.160/2782.167.28.161 to 82.167.28.19082.167.28.19130
23182.167.28.192/2782.167.28.193 to 82.167.28.22282.167.28.22330
23282.167.28.224/2782.167.28.225 to 82.167.28.25482.167.28.25530
23382.167.29.0/2782.167.29.1 to 82.167.29.3082.167.29.3130
23482.167.29.32/2782.167.29.33 to 82.167.29.6282.167.29.6330
23582.167.29.64/2782.167.29.65 to 82.167.29.9482.167.29.9530
23682.167.29.96/2782.167.29.97 to 82.167.29.12682.167.29.12730
23782.167.29.128/2782.167.29.129 to 82.167.29.15882.167.29.15930
23882.167.29.160/2782.167.29.161 to 82.167.29.19082.167.29.19130
23982.167.29.192/2782.167.29.193 to 82.167.29.22282.167.29.22330
24082.167.29.224/2782.167.29.225 to 82.167.29.25482.167.29.25530
24182.167.30.0/2782.167.30.1 to 82.167.30.3082.167.30.3130
24282.167.30.32/2782.167.30.33 to 82.167.30.6282.167.30.6330
24382.167.30.64/2782.167.30.65 to 82.167.30.9482.167.30.9530
24482.167.30.96/2782.167.30.97 to 82.167.30.12682.167.30.12730
24582.167.30.128/2782.167.30.129 to 82.167.30.15882.167.30.15930
24682.167.30.160/2782.167.30.161 to 82.167.30.19082.167.30.19130
24782.167.30.192/2782.167.30.193 to 82.167.30.22282.167.30.22330
24882.167.30.224/2782.167.30.225 to 82.167.30.25482.167.30.25530
24982.167.31.0/2782.167.31.1 to 82.167.31.3082.167.31.3130
25082.167.31.32/2782.167.31.33 to 82.167.31.6282.167.31.6330
25182.167.31.64/2782.167.31.65 to 82.167.31.9482.167.31.9530
25282.167.31.96/2782.167.31.97 to 82.167.31.12682.167.31.12730
25382.167.31.128/2782.167.31.129 to 82.167.31.15882.167.31.15930
25482.167.31.160/2782.167.31.161 to 82.167.31.19082.167.31.19130
25582.167.31.192/2782.167.31.193 to 82.167.31.22282.167.31.22330
25682.167.31.224/2782.167.31.225 to 82.167.31.25482.167.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses